<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>py_arg package &mdash; PyArg  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="py_arg.abstract_argumentation_classes package" href="py_arg.abstract_argumentation_classes.html" />
    <link rel="prev" title="PyArg Module Overview" href="modules.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> PyArg
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="installation.html">Installation instructions</a></li>
<li class="toctree-l1"><a class="reference internal" href="example_usage.html">Example Usage</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">PyArg Module Overview</a><ul class="current">
<li class="toctree-l2 current"><a class="current reference internal" href="#">py_arg package</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#subpackages">Subpackages</a><ul>
<li class="toctree-l4"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html">py_arg.abstract_argumentation_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.aspic_classes.html">py_arg.aspic_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.dynamic_aspic_classes.html">py_arg.dynamic_aspic_classes package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.explanation.html">py_arg.explanation package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.generators.html">py_arg.generators package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.labels.html">py_arg.labels package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.logic.html">py_arg.logic package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.relevance.html">py_arg.relevance package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.semantics.html">py_arg.semantics package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.stability.html">py_arg.stability package</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.utils.html">py_arg.utils package</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="#module-py_arg">Module contents</a></li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">PyArg</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="modules.html">PyArg Module Overview</a> &raquo;</li>
      <li>py_arg package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/py_arg.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="py-arg-package">
<h1>py_arg package<a class="headerlink" href="#py-arg-package" title="Permalink to this headline"></a></h1>
<section id="subpackages">
<h2>Subpackages<a class="headerlink" href="#subpackages" title="Permalink to this headline"></a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html">py_arg.abstract_argumentation_classes package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#module-py_arg.abstract_argumentation_classes.abstract_argumentation_framework">py_arg.abstract_argumentation_classes.abstract_argumentation_framework module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#module-py_arg.abstract_argumentation_classes.argument">py_arg.abstract_argumentation_classes.argument module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#module-py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework">py_arg.abstract_argumentation_classes.argument_incomplete_argumentation_framework module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#module-py_arg.abstract_argumentation_classes.defeat">py_arg.abstract_argumentation_classes.defeat module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#module-py_arg.abstract_argumentation_classes.structured_argumentation_framework">py_arg.abstract_argumentation_classes.structured_argumentation_framework module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.abstract_argumentation_classes.html#module-py_arg.abstract_argumentation_classes">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="py_arg.aspic_classes.html">py_arg.aspic_classes package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="py_arg.aspic_classes.html#subpackages">Subpackages</a><ul>
<li class="toctree-l3"><a class="reference internal" href="py_arg.aspic_classes.orderings.html">py_arg.aspic_classes.orderings package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="py_arg.aspic_classes.orderings.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.aspic_classes.orderings.html#module-py_arg.aspic_classes.orderings.democratic_ordering">py_arg.aspic_classes.orderings.democratic_ordering module</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.aspic_classes.orderings.html#module-py_arg.aspic_classes.orderings.elitist_ordering">py_arg.aspic_classes.orderings.elitist_ordering module</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.aspic_classes.orderings.html#module-py_arg.aspic_classes.orderings.last_link_ordering">py_arg.aspic_classes.orderings.last_link_ordering module</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.aspic_classes.orderings.html#module-py_arg.aspic_classes.orderings.ordering">py_arg.aspic_classes.orderings.ordering module</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.aspic_classes.orderings.html#module-py_arg.aspic_classes.orderings.weakest_link_ordering">py_arg.aspic_classes.orderings.weakest_link_ordering module</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.aspic_classes.orderings.html#module-py_arg.aspic_classes.orderings">Module contents</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.aspic_classes.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.aspic_classes.html#module-py_arg.aspic_classes.argumentation_system">py_arg.aspic_classes.argumentation_system module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.aspic_classes.html#module-py_arg.aspic_classes.argumentation_theory">py_arg.aspic_classes.argumentation_theory module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.aspic_classes.html#module-py_arg.aspic_classes.axiom">py_arg.aspic_classes.axiom module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.aspic_classes.html#module-py_arg.aspic_classes.defeasible_rule">py_arg.aspic_classes.defeasible_rule module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.aspic_classes.html#module-py_arg.aspic_classes.instantiated_argument">py_arg.aspic_classes.instantiated_argument module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.aspic_classes.html#module-py_arg.aspic_classes.literal">py_arg.aspic_classes.literal module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.aspic_classes.html#module-py_arg.aspic_classes.ordinary_premise">py_arg.aspic_classes.ordinary_premise module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.aspic_classes.html#module-py_arg.aspic_classes.preference">py_arg.aspic_classes.preference module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.aspic_classes.html#module-py_arg.aspic_classes.rule">py_arg.aspic_classes.rule module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.aspic_classes.html#module-py_arg.aspic_classes.strict_rule">py_arg.aspic_classes.strict_rule module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.aspic_classes.html#module-py_arg.aspic_classes">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="py_arg.dynamic_aspic_classes.html">py_arg.dynamic_aspic_classes package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="py_arg.dynamic_aspic_classes.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.dynamic_aspic_classes.html#module-py_arg.dynamic_aspic_classes.axiom_queryable">py_arg.dynamic_aspic_classes.axiom_queryable module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.dynamic_aspic_classes.html#module-py_arg.dynamic_aspic_classes.ordinary_queryable">py_arg.dynamic_aspic_classes.ordinary_queryable module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.dynamic_aspic_classes.html#module-py_arg.dynamic_aspic_classes.potential_argument">py_arg.dynamic_aspic_classes.potential_argument module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.dynamic_aspic_classes.html#module-py_arg.dynamic_aspic_classes.potential_argumentation_theory">py_arg.dynamic_aspic_classes.potential_argumentation_theory module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.dynamic_aspic_classes.html#module-py_arg.dynamic_aspic_classes.queryable">py_arg.dynamic_aspic_classes.queryable module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.dynamic_aspic_classes.html#module-py_arg.dynamic_aspic_classes">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="py_arg.explanation.html">py_arg.explanation package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="py_arg.explanation.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.explanation.html#module-py_arg.explanation.defending">py_arg.explanation.defending module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.explanation.html#module-py_arg.explanation.not_defending">py_arg.explanation.not_defending module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.explanation.html#module-py_arg.explanation.reach_and_dist">py_arg.explanation.reach_and_dist module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.explanation.html#module-py_arg.explanation">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="py_arg.generators.html">py_arg.generators package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="py_arg.generators.html#subpackages">Subpackages</a><ul>
<li class="toctree-l3"><a class="reference internal" href="py_arg.generators.abstract_argumentation_framework_generators.html">py_arg.generators.abstract_argumentation_framework_generators package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="py_arg.generators.abstract_argumentation_framework_generators.html#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.generators.abstract_argumentation_framework_generators.html#module-py_arg.generators.abstract_argumentation_framework_generators.abstract_argumentation_framework_generator">py_arg.generators.abstract_argumentation_framework_generators.abstract_argumentation_framework_generator module</a></li>
<li class="toctree-l4"><a class="reference internal" href="py_arg.generators.abstract_argumentation_framework_generators.html#module-py_arg.generators.abstract_argumentation_framework_generators">Module contents</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.generators.html#module-py_arg.generators">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="py_arg.labels.html">py_arg.labels package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="py_arg.labels.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.labels.html#module-py_arg.labels.enum_stability_label">py_arg.labels.enum_stability_label module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.labels.html#module-py_arg.labels.four_bool_stability_label">py_arg.labels.four_bool_stability_label module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.labels.html#module-py_arg.labels.label">py_arg.labels.label module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.labels.html#module-py_arg.labels.literal_labels">py_arg.labels.literal_labels module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.labels.html#module-py_arg.labels.potential_argument_label">py_arg.labels.potential_argument_label module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.labels.html#module-py_arg.labels.potential_argument_labels">py_arg.labels.potential_argument_labels module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.labels.html#module-py_arg.labels">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="py_arg.logic.html">py_arg.logic package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="py_arg.logic.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.logic.html#module-py_arg.logic.closure">py_arg.logic.closure module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.logic.html#module-py_arg.logic.is_c_consistent">py_arg.logic.is_c_consistent module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.logic.html#module-py_arg.logic">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="py_arg.relevance.html">py_arg.relevance package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="py_arg.relevance.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.relevance.html#module-py_arg.relevance.get_relevant_literals_for_potential_argument">py_arg.relevance.get_relevant_literals_for_potential_argument module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.relevance.html#module-py_arg.relevance.get_relevant_potential_arguments_for_adding_to_NG">py_arg.relevance.get_relevant_potential_arguments_for_adding_to_NG module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.relevance.html#module-py_arg.relevance.get_relevant_potential_arguments_for_removing_from_PG">py_arg.relevance.get_relevant_potential_arguments_for_removing_from_PG module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.relevance.html#module-py_arg.relevance">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="py_arg.semantics.html">py_arg.semantics package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics.get_acceptable_with_respect_to">py_arg.semantics.get_acceptable_with_respect_to module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics.get_admissible_sets">py_arg.semantics.get_admissible_sets module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics.get_complete_extensions">py_arg.semantics.get_complete_extensions module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics.get_eager_extension">py_arg.semantics.get_eager_extension module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics.get_grounded_extension">py_arg.semantics.get_grounded_extension module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics.get_ideal_extension">py_arg.semantics.get_ideal_extension module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics.get_preferred_extensions">py_arg.semantics.get_preferred_extensions module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics.get_semistable_extensions">py_arg.semantics.get_semistable_extensions module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics.get_stable_extensions">py_arg.semantics.get_stable_extensions module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics.is_acceptable_with_respect_to">py_arg.semantics.is_acceptable_with_respect_to module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics.is_admissible">py_arg.semantics.is_admissible module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics.is_complete">py_arg.semantics.is_complete module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics.is_conflict_free">py_arg.semantics.is_conflict_free module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics.is_grounded_extension">py_arg.semantics.is_grounded_extension module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics.is_preferred_extension">py_arg.semantics.is_preferred_extension module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.semantics.html#module-py_arg.semantics">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="py_arg.stability.html">py_arg.stability package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="py_arg.stability.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.stability.html#module-py_arg.stability.potential_argument_based_stability_algorithm">py_arg.stability.potential_argument_based_stability_algorithm module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.stability.html#module-py_arg.stability">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="py_arg.utils.html">py_arg.utils package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="py_arg.utils.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.utils.html#module-py_arg.utils.fixpoint">py_arg.utils.fixpoint module</a></li>
<li class="toctree-l2"><a class="reference internal" href="py_arg.utils.html#module-py_arg.utils">Module contents</a></li>
</ul>
</li>
</ul>
</div>
</section>
<section id="module-py_arg">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-py_arg" title="Permalink to this headline"></a></h2>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="modules.html" class="btn btn-neutral float-left" title="PyArg Module Overview" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="py_arg.abstract_argumentation_classes.html" class="btn btn-neutral float-right" title="py_arg.abstract_argumentation_classes package" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2022, AnneMarie Borg and Daphne Odekerken.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>